Skip to main content
GET
/
v1
/
pay
/
{username}
Look up users addresses
curl --request GET \
  --url https://api.sandbox.busha.so/v1/pay/{username} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.busha.so/v1/pay/{username}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.busha.so/v1/pay/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": "message for success",
  "data": [
    {
      "username": "john_doe@busha",
      "currency": "BTC",
      "country_id": "NG",
      "network": "BTC",
      "address": "tb1qj4263506wyu8khrz2dwce0agk8lhyjgy269rxr",
      "memo": "memo123",
      "auto_convert_currency": "NGN"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer Authentication

Path Parameters

username
string
required

Username to lookup addresses for

Query Parameters

currency
string
required

Filter by currency

Example:

"USDT"

networks
string<string>[]

Filter addresses by network

A valid currency

Required string length: 1 - 10
auto_convert_to
string

Currency to convert the deposit to

Example:

"NGN"

Response

Successful Response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object[]
required

List of Plans